# Release

## Propose a release

Update package versions, update the changelog and open a PR to propose a new release.

### 1. Update package versions

```
yarn release:version <bump>
version options:
- major | minor | patch | premajor | preminor | prepatch | prerelease | graduate
```

Creating a prerelease, example:

```
yarn release:version preminor
1.2.3 -> 1.3.3-rc.0
```

Graduating a prerelease, example:

```
yarn release:version graduate
1.3.3-rc.5 -> 1.3.3
```

### 2. Update `CHANGELOG.md`

A partial changelog can be generated by running:

```
yarn release:changelog
```

Fill out the required information in the generated template and prepend it to `CHANGELOG.md`

### 3. Open a PR

Open a PR to be approved/merged. Once merged, the packages should be published.

## Publish

To create a tag and publish all packages to npm, run:

```
yarn release:publish
```

Once published update the GitHub release tag to include changelog information.
